/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2004 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package freemarker.testcase.beans;

/**
 * Simple bean for use with the <code>TestBeanModels2</code> test case.
 *
 * @version $Id: IndexedPropertyBean.java 1067 2011-06-06 10:55:28Z run2000 $
 */
public class IndexedPropertyBean {

    private String[] names;

    public IndexedPropertyBean() {
        names = new String[] { "name1", "name2", "name3", "name4", "name5" };
    }

    public String[] getName() {
        return names;
    }

    public String getName( int i ) {
        return names[ i ];
    }

    public void setName( String[] names ) {
        this.names = names;
    }

    public void setName( int i, String value ) {
        this.names[ i ] = value;
    }
}
