package examples.guestbook;

import java.util.*;

public class Guestbook {

    private final List<GuestbookEntry> list = Collections.synchronizedList(new LinkedList<GuestbookEntry>());

    public Guestbook() { }

    public void addEntry(String name, String message) {
        list.add(new GuestbookEntry(list.size() + 1, name, message));
    }

    public List<GuestbookEntry> getList() {
        return list;
    }
}
