package examples.guestbook;

import java.util.Date;

public class GuestbookEntry {

    private final Date date;
    private final String name;
    private final String message;
    private final int number;

    public GuestbookEntry(int number, String name, String message) {
        date = new Date();
        this.name = name;
        this.message = message;
        this.number = number;
    }

    public int getNumber() {
        return number;
    }

    public Date getDate() {
        return date;
    }

    public String getName() {
        return name;
    }

    public String getMessage() {
        return message;
    }
}
